Submit customer contact/billing info before card submit
curl --request POST \
--url https://test.paysight.io/api/{productId}/info \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"paysightSession": "<string>",
"partnerSession": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"postalCode": "<string>",
"props": {}
}
'import requests
url = "https://test.paysight.io/api/{productId}/info"
payload = {
"paysightSession": "<string>",
"partnerSession": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"postalCode": "<string>",
"props": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paysightSession: '<string>',
partnerSession: '<string>',
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phone: '<string>',
address: '<string>',
city: '<string>',
postalCode: '<string>',
props: {}
})
};
fetch('https://test.paysight.io/api/{productId}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paysightSession": "<string>",
"partnerSession": "<string>"
}{
"success": false,
"message": "Invalid JSON body"
}Session
Submit customer contact/billing info before card submit
Optional step to record customer information (name, email, address, phone) against the session before the card is submitted. Does not create a transaction.
POST
/
api
/
{productId}
/
info
Submit customer contact/billing info before card submit
Authorizations
This will be provided by Paysight
Path Parameters
ID of the Paysight product.
Body
application/json
Paysight session identifier.
Partner session identifier.
Customer first name.
Customer last name.
Customer email address.
Customer phone number.
Street address.
City.
ZIP or postal code.
Additional metadata key-value pairs.
Show child attributes
Show child attributes
⌘I